
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_orderviewrs_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for BaggageCategoryListType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="BaggageCategoryListType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="CarryOn"/&amp;gt;
 *     &amp;lt;enumeration value="Checked"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "BaggageCategoryListType")
@XmlEnum
public enum BaggageCategoryListType {

    @XmlEnumValue("CarryOn")
    CARRY_ON("CarryOn"),
    @XmlEnumValue("Checked")
    CHECKED("Checked");
    private final String value;

    BaggageCategoryListType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static BaggageCategoryListType fromValue(String v) {
        for (BaggageCategoryListType c: BaggageCategoryListType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
